BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true) Represents a mutable string of characters.

This class represents string-like objects that are mutable. After a object has been created, it can be directly modified by removing, replacing, or inserting characters. This contrasts the class, which represents an immutable string of characters.

The of an instance of the class is the maximum number of characters it can hold in the currently allocated space. The will dynamically allocate more space when it is required.

Unlike most types in the Base Class Library, the arguments to members are assumed to be passed as / arguments (passed by reference). Normally arguments are arguments (passed by value) unless explicitly declared as or / .

An instance of is said to be "immutable" because its value cannot be modified once it has been created. Methods on that appear to modify a instance actually return a new instance containing the modification. The class provides methods that actually modify the contents of a string-like object.

Relational operators only perform reference comparisons (unless overloaded by a particular language compiler). Despite this restriction, relational operators can be used to compare objects that are assigned literal values. Their values are immutable and can't change, so a reference comparison is sufficient. Because instances are mutable, they should not be compared with relational operators.

For performance reasons a might allocate more memory than needed. The amount of memory allocated is implementation specific.

- Constructor

  Constructs and initializes a new, empty instance of the class.

  The new instance of represents a string equal to . The is set to the default capacity.

  The default value of the property is implementation dependent.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the starting number of characters allowed in the .

  Constructs and initializes a new, empty instance of the class, with a specified .

  If the specified capacity is less than the default capacity, the of the new instance of is set to the default value. The will dynamically allocate more space when it is required.

  The new is initialized to represent an empty string.

  The default value of the property is implementation dependent.

  is less than zero.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the string value of the new instance of .

  Constructs and initializes a new instance of the class, with the specified as its value.

  The of the new instance is implementation defined.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` A to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a Unicode character to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends the specified character to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The array of to be appended.

  Appends the string representation of all of the characters in a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends all of the characters in the specified array to the current instance in the same order as they appear in . If is a null reference no changes are made.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of an object to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance. If is a null reference, no changes are made.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends a copy of a string to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends the string to the current instance. If is a null reference, no changes are made.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` The to be appended.

  Appends the string representation of a to the end of the current instance.

  The current instance after the operation has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This method appends .ToString() to the current instance.

  The of the current instance is increased as necessary.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` `` The to be appended. A containing the number of times to append .

  Appends multiple copies of a character to the end of the current .

  The current instance after the operation has occurred.

  This method appends copies of the specified character to the current instance.

  The of the current instance is increased as necessary.

  is less than zero. 0 1.0.5000.0 2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` The array to be appended. A containing the index in at which the subarray starts. A containing the number of characters to copy from .

  Appends the string representation of an array of Unicode characters to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends the specified range of characters from the array to the current instance. If is a null reference, and both and are zero, no changes are made.

  The of the current instance is increased as necessary.

  is a null reference, and and are not both zero.

  or is less than zero.

  -or-

  The sum of and is greater than the length of .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` The from which the substring will be taken. A containing the index in from which to start copying. A containing the number of characters to copy from .

  Appends a copy of an array of Unicode characters, specified by a starting index and length, of a specified to the end of the current instance.

  The current instance after the operation has occurred.

  This method appends the specified range of characters in the string to the current instance. If is a null reference and and are both zero, no changes are made.

  The of the current instance is increased as necessary.

  is a null reference, and and are not both zero.

  or is less than zero.

  -or-

  The sum of and is greater than the length of .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing zero or more format specifications. A to be formatted.

  Appends the specified string to the current instance, with the format specifications in that string being replaced with the appropriately formatted string value of the specified object.

  The current instance after the operation has occurred.

  This method appends the formatted copy of the specified string to the current instance.

  This version of is equivalent to ( , , {} ). For more information on the format specification, see the class overview.

  is a null reference. is invalid. `using System; using System.Text; public class StringBuilderTest { public static void Main() { StringBuilder sb = new StringBuilder("The high "); Console.WriteLine( sb.AppendFormat("temperature today was {0, 6}.", 88) ); } }`

  The output is

  `The high temperature today was 88.` 0 1.0.5000.0 2.0.0.0
- Method
  System.Text.StringBuilder `` `System.ParamArray` A containing zero or more format specifications. A array to be formatted.

  Appends the specified string to the current instance, with the format specifications in that string being replaced with the appropriately formatted string values of the elements in the specified array.

  The current instance after operation has occurred.

  This method appends the formatted copy of the specified string to the current instance. If an object referenced in the format string is , an empty string is used in its place.

  This version of is equivalent to ( , , ). For more information on the format specification see the class overview.

  is a null reference. is invalid. `using System; using System.Text; public class StringBuilderTest { public static void Main() { string [] strings = {"very", "very", null, "high"}; StringBuilder sb = new StringBuilder("The high "); Console.WriteLine( sb.AppendFormat("temperature today was {0}, {1} {2}{3}.", strings) ); } }`

  The output is

  The high temperature today was very, very high.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` `System.ParamArray` A that supplies a formatting object that provides culture specific formatting information. Can be a null reference. A containing zero or more format specifications. A array to be formatted.

  Appends the specified string to the current instance, with the format specifications in that string being replaced with the string values of the specified array of objects, formatted in accordance with the formatting object returned by the specified .

  The current instance after the operation has occurred.

  This method appends the formatted copy of the specified string to the current instance. If an object referenced in the format string is , an empty string is used in its place.

  The format parameter is embedded with zero or more format specifications of the form, { [, ][: ]}, where is a zero-based integer indicating the argument to be formatted, is an optional integer indicating the width of the region to contain the formatted value, and is an optional string of formatting codes. For more information on the format specification see the class overview.

  or is a null reference. is invalid. `using System; using System.Text; public class StringBuilderTest { public static void Main() { string a = "very"; string b = "very"; string c = "high"; StringBuilder sb = new StringBuilder("The high "); Console.WriteLine(sb.AppendFormat(null, "temperature today was {0}, {1} {2}.", a, b, c) ); } }`

  The output is

  The high temperature today was very, very high.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` A containing zero or more format specifications. The first to be formatted. Can be a null reference. The second to be formatted. Can be a null reference.

  Appends the specified string to the current instance, with the format specifications in that string being replaced with the appropriately formatted string values of the specified objects.

  The current instance after the operation has occurred.

  This method appends the formatted copy of the specified string to the current instance. If an object referenced in the format string is , an empty string is used in its place.

  This version of is equivalent to ( , , {, } ). For more information on the format specification, see the class overview.

  is a null reference. is invalid. `using System; using System.Text; public class StringBuilderTest { public static void Main() { StringBuilder sb = new StringBuilder("The high "); Console.WriteLine( sb.AppendFormat("temperature today was {0} {1}.", "very", "high") ); } }`

  The output is

  The high temperature today was very high.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` `` A containing zero or more format specifications. The first to be formatted. Can be a null reference. The second to be formatted. Can be a null reference. The third to be formatted. Can be a null reference.

  Appends the specified string to the current instance, with the format specifications in that string being replaced with the appropriately formatted string values of the specified objects.

  The current instance after the operation has occurred.

  This method appends the formatted copy of the specified string to the current instance. If an object referenced in the format string is , an empty string is used in its place.

  This version of is equivalent to ( , , {} ). For more information on the format specification, see the class overview.

  is a null reference. is invalid. `using System; using System.Text; public class StringBuilderTest { public static void Main() { StringBuilder sb = new StringBuilder("The high "); Console.WriteLine( sb.AppendFormat("temperature today was {0} {1} {2}.", "very", "very", "high") ); } }`

  The output is

  The high temperature today was very very high.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Text.StringBuilder `` To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Property
  System.Int32

  Gets or sets the maximum number of characters that can be contained in the memory allocated by the current instance.

  A containing the maximum number of characters that can be contained in the memory allocated by the current instance.

  The property does not affect the string value of the current instance. The will dynamically increase the and allocate more space when it is required.

  For performance reasons a might allocate more memory than needed. The amount of memory allocated is implementation specific.

  The value specified for a set operation is less than . 0 1.0.5000.0 2.0.0.0
- Property
  System.Char `` To be added.

  Gets or sets the character at a specified position in the current instance.

  A containing the Unicode character at location in the current instance.

  is the position of a character within the . The first character in the string is at index 0. The length of a string is the number of characters it contains. The last accessible character of a instance is at the index - 1.

  is greater than or equal to the length of the current instance.

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Int32 `` A containing the minimum capacity to ensure.

  Ensures that the capacity of the current instance is at least a specified value.

  A equal to the new of the current instance.

  If the specified value is less than the current , no changes are made and remains the same.

  For performance reasons, the new might be larger than the specified value. The amount of memory allocated by this method is implementation specific.

  is less zero. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A .

  Determines whether the current instance and a specified have the same value.

  if the current instance and have the same value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The value to be inserted.

  Inserts the string representation of a value into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a Unicode character into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The array to be inserted.

  Inserts the string representation of an array of Unicode characters into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts all of the characters in the specified array into the current instance in the same order as they appear in . Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  If is empty or a null reference, the is not changed.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of an object into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  If is a null reference, the is not changed.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a string object into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  If is or a null reference, the is not changed.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to insert.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at the specified index.

  The current instance after insertion has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` `` A containing the index at which to insert. The to be inserted.

  Inserts the string representation of a into the current instance at a specified index.

  The current instance after insertion has occurred.

  This member is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  This method inserts .ToString() into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  is greater than the length of the current instance

  -or-

  is less than zero.

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Text.StringBuilder `` `` `` A containing the index at which to insert. The to be inserted. A containing the number of times the string is to be inserted.

  Inserts multiple copies of a string into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts the string times into the current instance at the specified location. Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  If is or a null reference, the is not changed.

  is greater than the length of the current instance

  -or-

  is less than zero

  -or-

  is less than zero

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` `` A containing the index at which to insert. The array from which to get the characters to be inserted. A containing the starting index within . A containing the number of characters to insert from .

  Inserts the string representation of a subarray of Unicode characters into the current instance at a specified index.

  The current instance after insertion has occurred.

  This method inserts the specified range of characters from array into the current instance in the same order as they appear in . Existing characters are shifted to make room for the new text, and is adjusted as necessary.

  If is an empty array or a null reference and and are both zero, the is not changed.

  is a null reference, and and are not both zero.

  is greater than the length of the current instance or less than zero.

  -or-

  or is less than zero or their sum is greater than the length of .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32

  Gets or sets the length of the current instance.

  A containing the length of the current instance.

  If the specified length is less than the current length, the is truncated to the specified length. If the specified length is greater than the current length, the end of the string value of the is padded with spaces.

  If the specified length is greater than the current , is set to the specified length.

  A space in Unicode format is defined as the hexadecimal value 0x20.

  The value specified for a set operation is less than 0. 0 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the index at which to begin removal. A containing the number of characters to be removed.

  Removes a specified range of characters from the current instance.

  The current instance after removal has occurred.

  This method removes the specified range of characters from the current instance. The characters at ( + ) are moved to , and the string value of the current instance is shortened by .

  The method can be used to remove all instances of a string from a .

  or is less than zero

  -or-

  The sum of and is greater than the length of the current instance.

  `using System; using System.Text; public class StringBuilderTest { public static void Main() { StringBuilder sb = new StringBuilder("0123456789"); Console.WriteLine(sb); sb.Remove(3, 4); Console.WriteLine(sb); } }`

  The output is

  0123456789

  012789

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` The to replace. The with which to replace .

  Replaces all instances of a specified character in the current instance with another specified character.

  The current instance after substitution has occurred.

  This method substitutes each occurrence of in the current instance with .

  This method is case-sensitive.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` A containing the string value to replace. A containing the string value with which to replace . Can be a null reference. Replaces all instances of a specified string with another specified string

  The current instance after substitution has occurred.

  This method substitutes each occurrence of in the current instance with . If is , instances of are removed.

  This method is case-sensitive.

  is a null reference. The length of is zero. 0 1.0.5000.0 2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` `` The to replace. The with which to replace . A containing the index from which to start replacing . A containing the length of the range in which to replace .

  Replaces all instances of a specified character in a specified range with another specified character.

  The current instance after substitution has occurred.

  This method substitutes each occurrence of in the specified range of the current instance with .

  This method is case-sensitive.

  The sum of and is larger than the length of the current instance

  -or-

  or is less than zero.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Text.StringBuilder `` `` `` `` A containing the string value to replace. A containing the string value with which to replace . Can be a null reference. A containing the location from which to start replacing . A containing the length of the range in which to replace .

  Replaces all instances of a specified string in a specified range with another specified string.

  The current instance after substitution has occurred.

  This method substitutes each occurrence of in the specified range of the current instance with . If is , instances of are removed.

  This method is case-sensitive.

  is a null reference.

  or is less than zero.

  -or-

  The sum of and is greater than the length of the current instance.

  The length of is zero. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representing the current instance.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` A containing the index at which the substring begins. A containing the length of the substring.

  Returns a representation of a substring of the current instance.

  A new representing the characters in the specified range.

  To be added.

  or is less than zero.

  -or-

  The sum of and is greater than the length of the current instance.

  0
  1.0.5000.0
  2.0.0.0
0